Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200812-10 ] Archive::Tar: Directory traversal vulnerability
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1561

PostPosted: Wed Dec 10, 2008 6:26 pm    Post subject: [ GLSA 200812-10 ] Archive::Tar: Directory traversal vulnera Reply with quote

Gentoo Linux Security Advisory

Title: Archive::Tar: Directory traversal vulnerability (GLSA 200812-10)
Severity: normal
Exploitable: remote
Date: December 10, 2008
Bug(s): #192989
ID: 200812-10

Synopsis


A directory traversal vulnerability has been discovered in Archive::Tar.


Background


Archive::Tar is a Perl module for creation and manipulation of tar
files.


Affected Packages

Package: perl-core/Archive-Tar
Vulnerable: < 1.40
Unaffected: >= 1.40
Architectures: All supported architectures


Description


Jonathan Smith of rPath reported that Archive::Tar does not check for
".." in file names.


Impact


A remote attacker could entice a user or automated system to extract a
specially crafted tar archive, overwriting files at arbitrary locations
outside of the specified directory.


Workaround


There is no known workaround at this time.


Resolution


All Archive::Tar users should upgrade to the latest version:
Code:
# emerge --sync
    # emerge --ask --oneshot --verbose ">=perl-core/Archive-Tar-1.40"


References

CVE-2007-4829


Last edited by GLSA on Tue May 31, 2011 4:27 am; edited 2 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum